import requests
url = "https://application_id.applications.lucidworks.com/ai/async-prediction/{USE_CASE}/{MODEL_ID}"
payload = {
"batch": [{ "text": "Joseph Robinette Biden Jr.is an American politician who is the 46th and current president of the United States. Ideologically a moderate member of the Democratic Party, he previously served as the 47th vice president from 2009 to 2017 under President Barack Obama and represented Delaware in the United States Senate from 1973 to 2009.Born in Scranton, Pennsylvania, Biden moved with his family to Delaware in 1953. He studied at the University of Delaware before earning his law degree from Syracuse University. He was elected to the New Castle County Council in 1970 and to the U.S. Senate in 1972. As a senator, Biden drafted and led the effort to pass the Violent Crime Control and Law Enforcement Act and the Violence Against Women Act. He also oversaw six U.S. Supreme Court confirmation hearings, including the contentious hearings for Robert Bork and Clarence Thomas. Biden ran unsuccessfully for the Democratic presidential nomination in 1988 and 2008. In 2008, Obama chose Biden as his running mate, and Biden was a close counselor to Obama during his two terms as vice president. In the 2020 presidential election, Biden and his running mate, Kamala Harris, defeated incumbents Donald Trump and Mike Pence. Biden is the second Catholic president in U.S. history (after John F. Kennedy), and his politics have been widely described as profoundly influenced by Catholic social teaching." }],
"useCaseConfig": { "maxKeywords": 100 }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"predictionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "SUBMITTED"
}Model predictions by use case
This is an all-purpose prediction endpoint you can use by specifying a USE_CASE and MODEL_ID. Upon submission, the API responds with a unique predictionId and a status. The predictionId can be used later in the GET request to retrieve the results.
IMPORTANT: The available use cases are detailed in their own section in this specification.
import requests
url = "https://application_id.applications.lucidworks.com/ai/async-prediction/{USE_CASE}/{MODEL_ID}"
payload = {
"batch": [{ "text": "Joseph Robinette Biden Jr.is an American politician who is the 46th and current president of the United States. Ideologically a moderate member of the Democratic Party, he previously served as the 47th vice president from 2009 to 2017 under President Barack Obama and represented Delaware in the United States Senate from 1973 to 2009.Born in Scranton, Pennsylvania, Biden moved with his family to Delaware in 1953. He studied at the University of Delaware before earning his law degree from Syracuse University. He was elected to the New Castle County Council in 1970 and to the U.S. Senate in 1972. As a senator, Biden drafted and led the effort to pass the Violent Crime Control and Law Enforcement Act and the Violence Against Women Act. He also oversaw six U.S. Supreme Court confirmation hearings, including the contentious hearings for Robert Bork and Clarence Thomas. Biden ran unsuccessfully for the Democratic presidential nomination in 1988 and 2008. In 2008, Obama chose Biden as his running mate, and Biden was a close counselor to Obama during his two terms as vice president. In the 2020 presidential election, Biden and his running mate, Kamala Harris, defeated incumbents Donald Trump and Mike Pence. Biden is the second Catholic president in U.S. history (after John F. Kennedy), and his politics have been widely described as profoundly influenced by Catholic social teaching." }],
"useCaseConfig": { "maxKeywords": 100 }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"predictionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "SUBMITTED"
}Headers
Bearer token used for authentication. Format: Authorization: Bearer ACCESS_TOKEN.
application/json
Path Parameters
The name of the use case for the model. Use the Use Case API to get the list of supported use cases.
The unique identifier for the model.
Body
Request information varies based on the use case in the request. See the specific use case for valid information for that use case.
The batch of key:value pairs used as inputs in the prediction. Up to 32 inputs per request are allowed.
32Show child attributes
Show child attributes
Provides fields and values that specify ranges for tokens. Fields used for specific use cases and models are specified. The default values are used if other values are not specified.
Show child attributes
Show child attributes
Response
OK
This is the response to the POST prediction request submitted for a specific useCase and modelId.
The universal unique identifier (UUID) returned in the POST request. This UUID is required in the GET request to retrieve results.
The current status of the prediction. Allowed values are:
-
SUBMITTED - The POST request was successful and the response has returned the
predictionIdandstatusthat is used by the GET request. -
ERROR - An error was generated when the GET request was sent.
-
READY - The results associated with the
predictionIdare available and ready to be retrieved. -
RETRIEVED - The results associated with the
predictionIdare returned successfully when the GET request was sent.
"SUBMITTED"
Was this page helpful?